## lomiri-messaging-app 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-messaging-app VERSION 2.0.0 LANGUAGES CXX)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

option(ENABLE_TESTS "Build test programs" ON)
option(CLICK_MODE "Build click package" OFF)

# Standard install paths
include(GNUInstallDirs)

include(FindGettext)
if(NOT GETTEXT_FOUND)
  message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

# Check for include files
include(CheckIncludeFileCXX)
include(CheckIncludeFile)

include(EnableCoverageReport)
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -coverage" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -coverage" )
  ENABLE_COVERAGE_REPORT(TARGETS ${MESSAGING_APP})
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

set(MESSAGING_APP_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-messaging-app)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Qt5DBus)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Test)
find_package(Qt5Versit)

include(qt5)

find_package(PkgConfig REQUIRED)
pkg_check_modules(NOTIFY REQUIRED libnotify)

#find unity8 qml libraries
set(UNITY8_QML_PATH /usr/lib/${CMAKE_C_LIBRARY_ARCHITECTURE}/unity8/qml/)
find_path(LIB_UNITY_QML_EXISTS  NAMES libUnity-qml.so
    HINTS "${UNITY8_QML_PATH}"
    NO_CMAKE_PATH
    NO_CMAKE_ENVIRONMENT_PATH
    NO_SYSTEM_ENVIRONMENT_PATH
)
if(!LIB_UNITY_QML_EXISTS)
    MESSAGE(FATAL_ERROR "unity8 private package not-found")
endif()

add_definitions(-DQT_NO_KEYWORDS)
if (CLICK_MODE)
    add_definitions(-DCLICK_MODE)
endif()
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

enable_testing()

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(accounts)
if (CLICK_MODE)
    add_definitions(-DCLICK_MODE)
    add_subdirectory(click)
endif()
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
set(AUTOPILOT_DIR autopilot/lomiri_messaging_app)

file(GLOB AUTOPILOT_PY_FILES ${AUTOPILOT_DIR}/*.py ${AUTOPILOT_DIR}/tests/*.py)

# custom target to get autopilot files visible on QtCreator
add_custom_target(messaging_app_AUTOPILOT_PY_FILES ALL SOURCES ${AUTOPILOT_PY_FILES})

execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )

if (ENABLE_TESTS AND (NOT ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "ppc64el")) AND (NOT ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "ppc64le")))
    add_subdirectory(qml)
endif()
add_subdirectory(data)

=== tests/data/CMakeLists.txt ===
project(test_data)

set(AUTOPILOT_DATA
    vcard.vcf
)

install(FILES ${AUTOPILOT_DATA}
    DESTINATION ${PYTHON_PACKAGE_DIR}/lomiri_messaging_app/testdata/
)

=== debian/changelog ===
lomiri-messaging-app (2.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_MessagingContactViewPage-use-main-constituent-for-ed.patch and
      0002_MessagingContactViewPage-use-ContactListModel-from-A.patch. Adapt
      to QtContacts-Sqlite addressbook backend.
    + Add 0003_src-qml-GroupChatInfoPage.qml-Stop-using-the-key-man.patch.
      Modify OSK keys without Lomiri.Keyboard QML module.
  * debian/control:
    + Drop from D: qml-module-lomiri-keyboard.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:45:11 +0100

lomiri-messaging-app (2.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086523).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 09:27:23 +0100

=== debian/control ===
Source: lomiri-messaging-app
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
# apparmor-utils:all,
# apparmor-easyprof,
# apparmor:native,
 cmake,
 debhelper-compat (= 13),
# dh-apparmor,
 libnotify-dev,
 pkgconf,
 python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native,
 python3:any,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-qtmultimedia,
 qml-module-qttest,
 qml-module-lomiri-components,
 qtbase5-dev (>= 5.0),
 qtdeclarative5-dev (>= 5.0),
 qtdeclarative5-dev-tools,
 qml-module-gsettings1.0,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-contacts,
 qml-module-lomiri-content,
 qml-module-lomiri-history,
 qml-module-lomiri-telephony-phonenumber,
 qml-module-lomiri-telephony <!cross>,
 qml-module-lomiri-thumbnailer,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-test,
 qtmultimedia5-dev,
 qtpim5-dev,
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-messaging-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-messaging-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-messaging-app

Package: lomiri-messaging-app
Architecture: any
Depends:
 libqt5multimedia5,
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-lomiri-components,
 qml-module-gsettings1.0,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-contacts,
 qml-module-lomiri-history,
 qml-module-lomiri-telephony,
 qml-module-lomiri-telephony-phonenumber,
 ttf-ancient-fonts-symbola,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri
Description: Messaging App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Messaging App.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

include /usr/share/dpkg/architecture.mk

# Skip tests on the archs they are known to be flaky with current configuration
# Ref.: https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1585942
testskip_architectures := s390x powerpc

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS += -DENABLE_TESTS=OFF
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	DEB_BUILD_PROFILES += cross
endif

%:
	dh $@

apparmor:
	aa-easyprof -m ./debian/lomiri-messaging-app-apparmor.manifest --no-verify | \
	grep -E -v '(# Click packages|CLICK_DIR)' | \
	sed 's/@{APP_PKGNAME}_@{APP_APPNAME}_@{APP_VERSION}/@{APP_PKGNAME}/g' | \
	sed 's,Apps/@{APP_PKGNAME},Apps/lomiri-messaging-app,g' | \
	sed '/dconf.user rw/c\  \/run\/user\/\[0-9\]*\/dconf\/user rw,' | \
	sed 's,deny owner .*dconf/user r,owner @\{HOME\}/.config/dconf/user r,g' | \
	grep -E -v 'deny /run/udev/data/\*\* r,' | \
	sed 's#^}$$#\n  /sys/class/ r,\n  /sys/class/input/ r,\n  /run/udev/data/** r,\n}#g' | \
	grep -E -v '^\s*deny /dev/ r,\s*$$' | \
	sed 's#^\(\s*\)deny\(\s\+/{run,dev}/shm/pulse-shm\*\s\+w,\).*$$#\1owner\2#g' | \
	sed 's#^}$$#\n  /dev/dri/ r,\n  /sys/devices/pci[0-9]*/**/config r,\n}#g' \
	> ./debian/usr.bin.lomiri-messaging-app
	(head -n -2 ./debian/usr.bin.lomiri-messaging-app; cat ./debian/lomiri-messaging-app-apparmor.additions; \
	echo } ) > ./debian/usr.bin.lomiri-messaging-app2
	mv ./debian/usr.bin.lomiri-messaging-app2 ./debian/usr.bin.lomiri-messaging-app
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	apparmor_parser -QTK ./debian/usr.bin.lomiri-messaging-app
endif

override_dh_auto_install:
	dh_auto_install

	# remove autopilot files
	rm -rf debian/lomiri-messaging-app/usr/lib/python3/
	rmdir debian/lomiri-messaging-app/usr/lib/

override_dh_install: # apparmor
	dh_install

override_dh_installdeb:
	# dh_apparmor --profile-name=usr.bin.lomiri-messaging-app -plomiri-messaging-app
	dh_installdeb

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFIGURE_OPTS)

override_dh_auto_test:
	# python3 -m flake8 tests/autopilot/lomiri_messaging_app/
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	-dh_auto_test
else
	dh_auto_test
endif
endif

override_dh_translations:
	# Override dh_translations to work around http://pad.lv/1183262.
	# Unfortunately, the default build directory is not exposed
	# (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601774).
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) lomiri-messaging-app.pot

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-messaging-app 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-messaging-app VERSION 2.0.0 LANGUAGES CXX)
+project(lomiri-messaging-app VERSION 2.0.1 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 option(ENABLE_TESTS "Build test programs" ON)

=== click/CMakeLists.txt ===
# This command figures out the target architecture for use in the manifest file
execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_ARCH
    OUTPUT_VARIABLE CLICK_ARCH
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

set(DATA_DIR "/")

configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}.apparmor DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}.desktop DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}.url-dispatcher DESTINATION ${DATA_DIR})

=== po/CMakeLists.txt ===
set(DOMAIN ${PROJECT_NAME})
set(DESKTOP_FILE ${PROJECT_NAME}.desktop)
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

# Creates the .pot file containing the translations template
add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  # Extract the translatable messages from the desktop file
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${GETTEXT_PACKAGE}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_BINARY_DIR}/src
                          ${DESKTOP_FILE}.in
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --c++
                          --qt
                          --add-comments=TRANSLATORS
                          --keyword=tr
                          --keyword=tr:1,2
                          --keyword=N_
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --join-existing
                          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== src/CMakeLists.txt ===
set(MESSAGING_APP lomiri-messaging-app)

set(messaging_app_HDRS
    audiorecorder.h
    fileoperations.h
    messagingapplication.h
    stickers-history-model.h
    stickers-pack-model.h
    )

set(messaging_app_SRCS
    audiorecorder.cpp
    fileoperations.cpp
    messagingapplication.cpp
    main.cpp
    stickers-history-model.cpp
    stickers-pack-model.cpp
    )

add_executable(${MESSAGING_APP}
    ${messaging_app_SRCS}
    )
qt5_use_modules(${MESSAGING_APP} Core DBus Gui Multimedia Qml Quick Sql Versit)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${NOTIFY_INCLUDE_DIRS}
    )

target_link_libraries(${MESSAGING_APP} ${NOTIFY_LIBRARIES})

install(TARGETS ${MESSAGING_APP}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

# Handle i18n in the desktop file
set(DESKTOP_FILE ${PROJECT_NAME}.desktop)
configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop
            --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )

install(FILES "lomiri-messaging-app.url-dispatcher"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
    )

install(FILES "lomiri-messaging-app-content.json"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers
    RENAME lomiri-messaging-app
    )

add_subdirectory(qml)

=== tests/CMakeLists.txt ===
set(AUTOPILOT_DIR autopilot/lomiri_messaging_app)

file(GLOB AUTOPILOT_PY_FILES ${AUTOPILOT_DIR}/*.py ${AUTOPILOT_DIR}/tests/*.py)

# custom target to get autopilot files visible on QtCreator
add_custom_target(messaging_app_AUTOPILOT_PY_FILES ALL SOURCES ${AUTOPILOT_PY_FILES})

find_package(Python3 REQUIRED)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${Python3_SITELIB}
    )


if (ENABLE_TESTS AND (NOT ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "ppc64el")) AND (NOT ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "ppc64le")))
    add_subdirectory(qml)
endif()
add_subdirectory(data)

=== src/qml/CMakeLists.txt ===
project(qml)

file(GLOB QML_JS_FILES *.qml *.js)

add_custom_target(messaging_app_QMlFiles ALL SOURCES ${QML_JS_FILES})

set(ASSETS_DIR assets)
set(3RD_PARTY_DIR 3rd_party)

install(FILES ${QML_JS_FILES} DESTINATION ${MESSAGING_APP_DIR})
install(DIRECTORY ${ASSETS_DIR} DESTINATION ${MESSAGING_APP_DIR})
install(DIRECTORY ${3RD_PARTY_DIR} DESTINATION ${MESSAGING_APP_DIR})

add_subdirectory(AttachmentDelegates)
add_subdirectory(Dialogs)
add_subdirectory(Stickers)

=== tests/data/CMakeLists.txt ===
project(test_data)

set(AUTOPILOT_DATA
    vcard.vcf
)

install(FILES ${AUTOPILOT_DATA}
    DESTINATION ${Python3_SITELIB}/lomiri_messaging_app/testdata/
)

=== tests/qml/CMakeLists.txt ===
find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5QuickTest REQUIRED)
find_package(Qt5Sql REQUIRED)

set(TEST tst_QmlTests)

set(XVFB_COMMAND)

find_program(XVFB_RUN_BIN
    NAMES xvfb-run
)

if(XVFB_RUN_BIN)
    set(XVFB_COMMAND ${XVFB_RUN_BIN} -s "-screen 0 1024x768x24" -a)
else()
    message(WARNING "Qml tests disabled: xvfb-run not found")
endif()

set(SOURCES
    ${lomiri-messaging-app_SOURCE_DIR}/src/audiorecorder.cpp
    ${lomiri-messaging-app_SOURCE_DIR}/src/fileoperations.cpp
    ${lomiri-messaging-app_SOURCE_DIR}/src/stickers-history-model.cpp
    ${lomiri-messaging-app_SOURCE_DIR}/src/stickers-pack-model.cpp
    tst_QmlTests.cpp
)

add_executable(${TEST} ${SOURCES})
qt5_use_modules(${TEST} Core Multimedia Qml Quick QuickTest Sql)

set(TEST_COMMAND ${XVFB_COMMAND} ${CMAKE_CURRENT_BINARY_DIR}/${TEST}
                 -import ${CMAKE_BINARY_DIR}/src
                 -import ${UNITY8_QML_PATH})

include_directories(
    ${lomiri-messaging-app_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_test(DualSim ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_DualSim.qml)
add_test(SingleSim ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_SingleSim.qml)
set_tests_properties(SingleSim PROPERTIES ENVIRONMENT "HOME=/tmp/tests-singlesim")
add_test(MessageBubble ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_MessageBubble.qml)
add_test(MessagesView ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_MessagesView.qml)
set_tests_properties(MessagesView PROPERTIES ENVIRONMENT "HOME=/tmp/tests-messagesview")
add_test(AttachmentsDelegate ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_AttachmentsDelegate.qml)
add_test(PreviewerImage ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_PreviewerImage.qml)
add_test(PreviewerVideo ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_PreviewerVideo.qml)
add_test(StickersHistoryModel ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_StickersHistoryModel.qml)
add_test(StickersPackModel ${TEST_COMMAND} -input ${CMAKE_CURRENT_SOURCE_DIR}/tst_StickersPackModel.qml)

# make qml files visible in QtCreator
file(GLOB_RECURSE NON_COMPILED_FILES *.qml)
add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})

=== src/qml/AttachmentDelegates/CMakeLists.txt ===
file(GLOB ATTACHMENT_QML_JS_FILES *.qml *.js)

add_custom_target(messaging_app_ATTACHMENT_QMlFiles ALL SOURCES ${ATTACHMENT_QML_JS_FILES})
install(FILES ${ATTACHMENT_QML_JS_FILES} DESTINATION ${MESSAGING_APP_DIR}/AttachmentDelegates)

=== src/qml/Dialogs/CMakeLists.txt ===
file(GLOB DIALOGS_QML_JS_FILES *.qml *.js)

# make the files visible on qtcreator
add_custom_target(messaging_dialogs_QMlFiles ALL SOURCES ${DIALOGS_QML_JS_FILES})

install(FILES ${DIALOGS_QML_JS_FILES} DESTINATION ${MESSAGING_APP_DIR}/Dialogs)

=== src/qml/Stickers/CMakeLists.txt ===
file(GLOB STICKERS_QML_FILES *.qml)

add_custom_target(messaging_app_Stickers_QMlFiles ALL SOURCES ${STICKERS_QML_FILES})
install(FILES ${STICKERS_QML_FILES} DESTINATION ${MESSAGING_APP_DIR}/Stickers)

=== debian/changelog ===
lomiri-messaging-app (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.
  * debian/patches:
    + Update 2001_disable-autopilot-entirely.patch. Leave qml tests intact and
      run them not only on ppc64el.
    + Add 2002_hide-app-if-not-in-lomiri.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 16:15:43 +0200

lomiri-messaging-app (2.0.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 2001_disable-autopilot-entirely.patch. Drop autopilot test support.
      Not available in Debian. (Closes: #1093919).
  * debian/control:
    + Drop from B-D: python3*. No Python3 is used by this project when built
      for Debian.
  * debian/rules:
    + Drop override_dh_auto_install target. Not needed anymore.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 22:22:29 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,6 @@
 # dh-apparmor,
  libnotify-dev,
  pkgconf,
- python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native,
- python3:any,
  qml-module-qt-labs-folderlistmodel,
  qml-module-qt-labs-settings,
  qml-module-qtcontacts,
@@ -37,7 +35,7 @@
  qtpim5-dev,
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-messaging-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-messaging-app.git

=== debian/rules ===
--- 
+++ 
@@ -47,13 +47,6 @@
 	apparmor_parser -QTK ./debian/usr.bin.lomiri-messaging-app
 endif
 
-override_dh_auto_install:
-	dh_auto_install
-
-	# remove autopilot files
-	rm -rf debian/lomiri-messaging-app/usr/lib/python3/
-	rmdir debian/lomiri-messaging-app/usr/lib/
-
 override_dh_install: # apparmor
 	dh_install
